{ pkgs, self, ... }:

{
  imports = [
    # Externel Modules
    self.inputs.srvos.nixosModules.hardware-hetzner-cloud-arm
    self.inputs.srvos.nixosModules.mixins-nginx
    self.inputs.srvos.nixosModules.mixins-cloud-init
    self.inputs.nixos-generators.nixosModules.all-formats
    self.inputs.home-manager.nixosModules.home-manager
    self.inputs.disko.nixosModules.disko

    # Local Modueles
    ./nix.nix
    ./system.nix
    ./disk.nix
    ./backend.nix
    ./nginx.nix
    ./users
  ];

  services.openssh = {
    enable = true;
    banner = "Hackers are in Your System!!!\n";
    settings = {
      PasswordAuthentication = false;
      PermitRootLogin = "prohibit-password";
    };
  };
  systemd.network.networks."10-uplink".networkConfig.Address = "2a01:4f8:c2c:3900::/64";
}
