{ lib, pkgs, ... }:

{
  nix = {
    settings = {
      substituters = [ "https://nix-community.cachix.org" ];
      trusted-public-keys = [ "nix-community.cachix.org-1:mB9FSh9qf2dCimDSUo8Zy7bkq5CX+/rkCWyvRCYg3Fs=" ];
      trusted-users = [ "root" ];
      sandbox = true;
      require-sigs = true;
      max-jobs = "auto";
      auto-optimise-store = true;
      allowed-users = [ "*" ];
      experimental-features = [
        "nix-command"
        "flakes"
      ];
      warn-dirty = true;
      use-xdg-base-directories = true;
      keep-going = true;
      builders-use-substitutes = true;
    };
    distributedBuilds = true;
    package = pkgs.lix;
    nixPath = lib.mkForce [ "/etc/nix/path" ];
  };

  nixpkgs = {
    config = {
      allowUnfree = true;
    };
  };
}
