{ ... }:

{
  system.stateVersion = "24.11";

  nixpkgs.hostPlatform = {
    system = "aarch64-linux";
    config = "aarch64-unknown-linux-gnu";
  };

  networking.hostName = "alisa";
  time.timeZone = "Europe/Berlin";

  i18n = {
    defaultLocale = "en_NZ.UTF-8";
    extraLocaleSettings = {
      LC_ADDRESS = "de_DE.UTF-8";
      LC_IDENTIFICATION = "de_DE.UTF-8";
      LC_MEASUREMENT = "de_DE.UTF-8";
      LC_MONETARY = "de_DE.UTF-8";
      LC_NAME = "de_DE.UTF-8";
      LC_NUMERIC = "de_DE.UTF-8";
      LC_PAPER = "de_DE.UTF-8";
      LC_TELEPHONE = "de_DE.UTF-8";
      LC_TIME = "de_DE.UTF-8";
      LC_CTYPE = "de_DE.UTF-8";
      LC_COLLATE = "de_DE.UTF-8";
      LC_MESSAGES = "en_NZ.UTF-8";
    };
  };

  home-manager = {
    useGlobalPkgs = true;
    useUserPackages = true;
    backupFileExtension = "backup";
  };

  system.autoUpgrade = {
    enable = true;
    flake = "git+https://git.missing.ninja/LF2/Alisa.git";
    dates = "1h";
  };
}
